INTERFACE Scanner;  (*25.01.2000 LB based on NW 17.11.94*)

	IMPORT SIO;


	TYPE
		Symbol	=	{null, 
				 times, div, mod, and,
				 plus, minus, or,
				 eql, neq, lss, leq, gtr, geq,
				 period, comma, colon, rparen, rbrak,
				 of, then, until, do,
				 lparen, lbrak, not, becomes, number, ident, 
				 semicolon, end, else, elsif, if, repeat, while,
				 array, record, const, type, var, procedure,
				 begin, module, eof};

	PROCEDURE GetSym():	Symbol;		(*Getg next symbol*)
	PROCEDURE GetValue():	INTEGER;	(*Value of number*)
	PROCEDURE GetId(): 	TEXT;		(*Value of identifier*)
	PROCEDURE Error():	BOOLEAN;
	PROCEDURE Mark(msg: TEXT);		(*Mark error position*)
	PROCEDURE SetRd(inFile: SIO.Reader);	(*Input Reader*)
	PROCEDURE SetErr(errFile: SIO.Writer);	(*Error Writer*)
	
END Scanner.

